List incident responders

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/incidents/{incident_id}/respondershttps://api.ap2.datadoghq.com/api/v2/incidents/{incident_id}/respondershttps://api.datadoghq.eu/api/v2/incidents/{incident_id}/respondershttps://api.ddog-gov.com/api/v2/incidents/{incident_id}/respondershttps://api.us2.ddog-gov.com/api/v2/incidents/{incident_id}/respondershttps://api.uk1.datadoghq.com/api/v2/incidents/{incident_id}/respondershttps://api.datadoghq.com/api/v2/incidents/{incident_id}/respondershttps://api.us3.datadoghq.com/api/v2/incidents/{incident_id}/respondershttps://api.us5.datadoghq.com/api/v2/incidents/{incident_id}/responders

개요

인시던트의 모든 담당자를 나열합니다. This endpoint requires the incident_read permission.

OAuth apps require the incident_read authorization scope to access this endpoint.

인수

경로 파라미터

이름

유형

설명

incident_id [required]

string

The UUID of the incident.

응답

OK

Response with a list of incident responders.

Expand All

항목

유형

설명

data [required]

[object]

List of incident responders.

attributes [required]

object

Attributes of an incident responder in a response.

created [required]

date-time

Timestamp when the responder was created.

external_id

string

The external ID of the responder.

external_source

string

The external source of the responder.

is_billable [required]

boolean

Whether this responder counts toward billing.

last_active

date-time

Timestamp when the responder was last active.

meta

object

Additional metadata for the responder.

modified [required]

date-time

Timestamp when the responder was last modified.

id [required]

uuid

The responder identifier.

relationships

object

Relationships for an incident responder.

created_by

object

Relationship to user.

data [required]

object

Relationship to user object.

id [required]

string

A unique identifier that represents the user.

type [required]

enum

Users resource type. Allowed enum values: users

default: users

last_modified_by

object

Relationship to user.

data [required]

object

Relationship to user object.

id [required]

string

A unique identifier that represents the user.

type [required]

enum

Users resource type. Allowed enum values: users

default: users

role_assignments

object

Relationship to role assignments for a responder.

data

[object]

List of role assignment relationship data.

id [required]

uuid

The role assignment identifier.

type [required]

string

The role assignment resource type.

user

object

Relationship to user.

data [required]

object

Relationship to user object.

id [required]

string

A unique identifier that represents the user.

type [required]

enum

Users resource type. Allowed enum values: users

default: users

type [required]

enum

Incident responder resource type. Allowed enum values: incident_responders

included

[object]

Included related resources.

attributes

object

Attributes of user object returned by the API.

email

string

Email of the user.

handle

string

Handle of the user.

icon

string

URL of the user's icon.

name

string

Name of the user.

uuid

string

UUID of the user.

id

string

ID of the user.

type

enum

Users resource type. Allowed enum values: users

default: users

{
  "data": [
    {
      "attributes": {
        "created": "2024-01-01T00:00:00.000Z",
        "external_id": null,
        "external_source": null,
        "is_billable": true,
        "last_active": "2024-01-01T00:00:00.000Z",
        "meta": {},
        "modified": "2024-01-01T00:00:00.000Z"
      },
      "id": "00000000-0000-0000-0000-000000000000",
      "relationships": {
        "created_by": {
          "data": {
            "id": "00000000-0000-0000-2345-000000000000",
            "type": "users"
          }
        },
        "last_modified_by": {
          "data": {
            "id": "00000000-0000-0000-2345-000000000000",
            "type": "users"
          }
        },
        "role_assignments": {
          "data": [
            {
              "id": "00000000-0000-0000-0000-000000000000",
              "type": "incident_role_assignments"
            }
          ]
        },
        "user": {
          "data": {
            "id": "00000000-0000-0000-0000-000000000000",
            "type": "users"
          }
        }
      },
      "type": "incident_responders"
    }
  ],
  "included": [
    {
      "attributes": {
        "email": "string",
        "handle": "string",
        "icon": "string",
        "name": "string",
        "uuid": "string"
      },
      "id": "string",
      "type": "users"
    }
  ]
}

Bad Request

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Unauthorized

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

코드 예시

                  # Path parameters
export incident_id="CHANGE_ME"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/incidents/${incident_id}/responders" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"